Rated 5/5 based on 240179 internet user reviews

Jump to content


Change Photo
- - - - -

Lệnh che đối tượng khác khi nó đè lên????


  • Please log in to reply
14 replies to this topic

#1 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 posts
Danh tiếng: 14 (tàm tạm)

Gửi vào 27 July 2009 - 02:39 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng th́ cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra tṛ :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là ḿnh ko phải trim những đối tượng mà h́nh nó đi qua . Các bác giúp e vụ này với. Thanks
  • 0

#2 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 posts
Danh tiếng: 14 (tàm tạm)

Gửi vào 27 July 2009 - 04:47 PM

oài oài !!! Đợi mỏi mắt mà ko thấy pro nào chỉ giúp nhỉ ? hjx hjx
  • 0

#3 miennui_tomo3d

miennui_tomo3d

    biết dimradius

  • CADViet Team
  • PipPipPipPipPip
  • 319 posts
Danh tiếng: 111 (tàm tạm)

Gửi vào 27 July 2009 - 05:25 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng th́ cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra tṛ :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là ḿnh ko phải trim những đối tượng mà h́nh nó đi qua . Các bác giúp e vụ này với. Thanks

Bạn không dùng wipeout th́ không c̣n cái nào dùng đâu .
Muốn che cái ở dưới th́ cái ở trên nó phải là một vùng kín , khi in ra nó vẫn là một nét vẽ . chỉ lệnh wipeout làm được điều đó thôi ah .
bạn vào tool > draw oder > send to back or send to front .
Cái này cũng làm nó lên trên hay xuống dưới theo lớp đó .
h́ . good luck
  • 1
Sống Trên Đời Cần Phải Có Một Tấm Ḷng Dù Để ......... Tối Nấu Ăn !

#4 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1,859 posts
Danh tiếng: 1110 (rất tốt)

Gửi vào 27 July 2009 - 05:40 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng th́ cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra tṛ :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là ḿnh ko phải trim những đối tượng mà h́nh nó đi qua . Các bác giúp e vụ này với. Thanks

C̣n 1 cách này ḿnh hay làm với các block thiết bị nội thất và WC để che đi các đối tượng phía dưới thay cho đối tượng wipeout là dùng hatch solid và để màu kiểu true color.
Xem file này bạn sẽ hiểu vấn đề.
http://www.cadviet.c...N_VE_MAU_01.dwg
  • 1

#5 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 posts
Danh tiếng: 14 (tàm tạm)

Gửi vào 27 July 2009 - 05:41 PM

Bạn không dùng wipeout th́ không c̣n cái nào dùng đâu .
Muốn che cái ở dưới th́ cái ở trên nó phải là một vùng kín , khi in ra nó vẫn là một nét vẽ . chỉ lệnh wipeout làm được điều đó thôi ah .
bạn vào tool > draw oder > send to back or send to front .
Cái này cũng làm nó lên trên hay xuống dưới theo lớp đó .
h́ . good luck

Cả 2 cái đó e biết rồi !! E nghĩ phải có cách hay hơn chứ ?? Bgio mà muốn che nhiều đối tưọgn, ngồi Wipeout chắc hết ngày quá !!! :s_dead:
Cách of Pac' GP 14 ư, th́ chính là bring to front. Ví dụ e muốn làm thế này nhé ! E có mặt đứng kiến trủối. Bgio e chèn thêm cái cửa phía trên mặt đứng nữa nếu ngồi trim các đối tượng mà cái cửa đè lến - chắc cũng hết tuần. dùng Wipeout th́ cũng mất tg ko kém. Ư e là vậy đó. Thanks các pác đă quan tâm
  • 0

#6 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 901 posts
Danh tiếng: 492 (tốt)

Gửi vào 27 July 2009 - 06:10 PM

Cả 2 cái đó e biết rồi !! E nghĩ phải có cách hay hơn chứ ?? Bgio mà muốn che nhiều đối tưọgn, ngồi Wipeout chắc hết ngày quá !!! :s_dead:
Cách of Pac' GP 14 ư, th́ chính là bring to front. Ví dụ e muốn làm thế này nhé ! E có mặt đứng kiến trủối. Bgio e chèn thêm cái cửa phía trên mặt đứng nữa nếu ngồi trim các đối tượng mà cái cửa đè lến - chắc cũng hết tuần. dùng Wipeout th́ cũng mất tg ko kém. Ư e là vậy đó. Thanks các pác đă quan tâm


Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm ǵ mà hết những "1 tuần" :s_dead:
Lệnh Wipeout cũng đâu có chậm nhỉ. gơ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong
  • 0

Posted Image
IN HIM, I TRUST. THE TRUST IN MY GOD


#7 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 posts
Danh tiếng: 14 (tàm tạm)

Gửi vào 28 July 2009 - 03:09 PM

Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm ǵ mà hết những "1 tuần" :s_dead:
Lệnh Wipeout cũng đâu có chậm nhỉ. gơ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong


Thanks các bạn đă trả lời. Đó là giải pháp , nhưng chưa tối ưu bạn ạ ! Thứ nhất, mất tg cho việc cắt Trim or Extrim. Thứ 2 : V́ cái mặt đứng đó c̣n dùng cho cái khác nữa. Nếu cắt đi biết sao đây. Đương nhiên có thể coppy ra nhiều bản khác. V́ ḿnh nghe giang hồ đồn rằng có lệnh chỉ tích vào chọn đối tưọng sẽ cho phép che những đối tượng khác. Rất tiếc bạn đó ko nhớ, ko biết là lisp hay lệnh cad. Dù sao cũng cảm ơn cả nhà đă comment. Thanks all !
  • 0

#8 ktsk80

ktsk80

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 posts
Danh tiếng: 26 (tàm tạm)

Gửi vào 28 July 2009 - 04:29 PM

Đây đâu phải chỗ để che đậy đối tượng ǵ đâu, bạn phải vào chuyên mục khác chứ, chán !
  • 0
Tớ nẫu đây ! Khà khà

#9 Tue_NV

Tue_NV

    KS Vơ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4,089 posts
Danh tiếng: 3615 (đỉnh cao)

Gửi vào 28 July 2009 - 08:13 PM

Thanks các bạn đă trả lời. Đó là giải pháp , nhưng chưa tối ưu bạn ạ ! Thứ nhất, mất tg cho việc cắt Trim or Extrim. Thứ 2 : V́ cái mặt đứng đó c̣n dùng cho cái khác nữa. Nếu cắt đi biết sao đây. Đương nhiên có thể coppy ra nhiều bản khác. V́ ḿnh nghe giang hồ đồn rằng có lệnh chỉ tích vào chọn đối tưọng sẽ cho phép che những đối tượng khác. Rất tiếc bạn đó ko nhớ, ko biết là lisp hay lệnh cad. Dù sao cũng cảm ơn cả nhà đă comment. Thanks all !

Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm ǵ mà hết những "1 tuần" :s_dead:
Lệnh Wipeout cũng đâu có chậm nhỉ. gơ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong

Chào 'Phidoi_gabay'
1. Đầu tiên Tue_NV khuyên bạn nên post bài đúng chủ đề.
2. Lisp này sẽ giải quyết yêu cầu của bạn
- Chọn các đối tượng Pline kín -> Lisp sẽ thực hiện công việc là các đối tượng kín Pline sẽ che các đối tượng khác
Thử xem.
(defun c:che()
(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)
(while (< i (sslength ss))

(setq e (ssname ss i))
(command "pedit" "m" e "" "c" "")
(Command "wipeout" "" e "y")
(setq i (1+ i))
)
(princ)
)

  • 0

#10 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 posts
Danh tiếng: -9 (b́nh thường)

Gửi vào 15 April 2010 - 01:49 PM

Chào 'Phidoi_gabay'
1. Đầu tiên Tue_NV khuyên bạn nên post bài đúng chủ đề.
2. Lisp này sẽ giải quyết yêu cầu của bạn
- Chọn các đối tượng Pline kín -> Lisp sẽ thực hiện công việc là các đối tượng kín Pline sẽ che các đối tượng khác
Thử xem.
(defun c:che()
(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)
(while (< i (sslength ss))

(setq e (ssname ss i))
(command "pedit" "m" e "" "c" "")
(Command "wipeout" "" e "y")
(setq i (1+ i))
)
(princ)
)

Bạn Tue_NV ơi với đường tṛn th́ sao? không phải LWPLYLINE nó không nhận.
  • 0

#11 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 posts
Danh tiếng: 71 (tàm tạm)

Gửi vào 15 April 2010 - 02:57 PM

Bạn Tue_NV ơi với đường tṛn th́ sao? không phải LWPLYLINE nó không nhận.


Muốn làm được với đường tṛn bạn hăy vẽ Polygon n cạnh(Bản chất của đường tṛn là đa giác n cạnh mà).
:undecided:
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#12 thaycung

thaycung

    biết pan

  • Members
  • Pip
  • 8 posts
Danh tiếng: 0 (b́nh thường)

Gửi vào 18 May 2012 - 07:36 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò Posted Image .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks


Tô i có câu hỏi gần giống bạn và có sưu tầm được một file nhưng không hiểu người ta đã làm được bằng cách nào, nhờ mọi người chỉ dùm. Trong file các đối tượng nằm bên dưới (phần hiện trạng) đã được che đi mà không phải trim chặt gì cả.
http://www.cadviet.c...830_matbang.rar
  • 0

#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 4,426 posts
Danh tiếng: 2113 (tuyệt vời)

Gửi vào 18 May 2012 - 11:37 PM

Tại người ta đã dùng lệnh wipeout cho pline đó. Bạn xem trên bản vẽ sẽ thấy 1 pline và 1 wipeout trùng lên nhau. thử xoá chúng đi sẽ thấy ngay.
  • 0

#14 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 posts
Danh tiếng: 59 (tàm tạm)

Gửi vào 19 May 2012 - 11:38 AM

bạn thử block lại rôì dùng xclip xem :D
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#15 phuoc0982

phuoc0982

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 posts
Danh tiếng: 0 (b́nh thường)

Gửi vào 12 March 2014 - 02:45 PM

tạo các vùng kín cần che, dùng wipeout tạo vùng che, và off các frame trong wipeout nữa

ngoài ra còn kết hợp các lệnh khác như : layfrz, layoff nữa để ẩn hoặc tắt 1 số layer hiện hành nữa


  • 0